export type Config = {
    ignoreBinPackage?: boolean | undefined;
    skipMissing?: boolean | undefined;
    ignorePatterns?: string[] | undefined;
    ignoreMatches?: string[] | undefined;
    parsers?: string[] | undefined;
    detectors?: string[] | undefined;
    specials?: string[] | undefined;
};
/**
 * @typedef Config
 * @property {boolean} [ignoreBinPackage]
 * @property {boolean} [skipMissing]
 * @property {string[]} [ignorePatterns]
 * @property {string[]} [ignoreMatches]
 * @property {string[]} [parsers]
 * @property {string[]} [detectors]
 * @property {string[]} [specials]
 */
/**
 * @param {string} configPath
 * @return {Config}
 */
export function resolveConfig(configPath: string): Config;
/**
 *
 * @param {string[]}detectors
 * @return {depcheck.Detector[]}
 */
export function resolveDetectors(detectors: string[]): depcheck.Detector[];
/**
 *
 * @param {{[key: string]: string}} parsers
 * @return {{[key: string]: depcheck.Parser}}
 */
export function resolveParsers(parsers: {
    [key: string]: string;
}): {
    [key: string]: depcheck.Parser;
};
/**
 *
 * @param {*[]} specials
 * @return {depcheck.Parser[]}
 */
export function resolveSpecials(specials: any[]): depcheck.Parser[];
import depcheck = require("depcheck");
//# sourceMappingURL=depcheck.d.ts.map