"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.winPathSerializer = exports.unquoteSerializer = exports.relativePathSerializer = void 0;
var _slash = _interopRequireDefault(require("slash"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
// this removes the quotes around strings...
const unquoteSerializer = {
  print: val => val,
  test: val => typeof val === 'string'
};

// this converts windows style file paths to unix...
exports.unquoteSerializer = unquoteSerializer;
const winPathSerializer = {
  print: val => (0, _slash.default)(val),
  test: val => typeof val === 'string' && val.includes('\\')
};
exports.winPathSerializer = winPathSerializer;
const relativePathSerializer = {
  print: val => normalizePaths(val),
  test: val => normalizePaths(val) !== val
};
exports.relativePathSerializer = relativePathSerializer;
function normalizePaths(value) {
  if (typeof value !== 'string') {
    return value;
  }
  return (0, _slash.default)(value.split(process.cwd()).join('<PROJECT_ROOT>'));
}
//# sourceMappingURL=serializers.js.map