export const appDirectory: string;
export function fromRoot(...p: string[]): string;
export function getConcurrentlyArgs(scripts: any, { killOthers }?: {
    killOthers?: boolean | undefined;
}): (string | null)[];
export function getPkgName(): string;
export function hasAnyDep(args: any): boolean;
/**
 * @param {string | string[]} props
 * @returns
 */
export function hasDevDep(props: string | string[]): boolean;
export function hasFile(...p: string[]): boolean;
/**
 * @param {string} moduleName
 * @param {{}} searchOptions
 * @return {boolean}
 */
export function hasLocalConfig(moduleName: string, searchOptions?: {}): boolean;
/**
 * @param {string | string[]} props
 */
export function hasPkgProp(props: string | string[]): boolean;
/**
 * @param {string | string[]} props
 * @returns
 */
export function hasScript(props: string | string[]): boolean;
/**
 * @template T
 * @template F
 *
 * @param {string | string[]} deps
 * @param {T} t
 * @param {F} f
 */
export function ifAnyDep<T, F>(deps: string | string[], t: T, f: F): T | F;
export function ifDep(props: any, t: any, f: any): any;
export function ifDevDep(props: any, t: any, f: any): any;
/**
 *
 * @template T
 * @template F
 *
 * @param {string | string[]} files
 * @param {T} t
 * @param {F} f
 */
export function ifFile<T, F>(files: string | string[], t: T, f: F): T | F;
export function ifPeerDep(props: any, t: any, f: any): any;
export function ifScript(props: any, t: any, f: any): any;
export function parseEnv(name: string, def: any): any;
export const pkg: import("read-pkg").NormalizedPackageJson | {
    name: string;
};
/**
 * Get function that converts relative paths to absolute
 *
 * @param {string} dirname `__dirname`
 */
export function relative(dirname: string): (p: string) => string;
export function resolveBin(modName: string, { executable, cwd }?: {
    executable?: string | undefined;
    cwd?: string | undefined;
}): string;
export function resolveHoverScripts(): string;
/**
 * Strip an argument and it's values from arguments forwarded to lint-staged
 *
 * @param {any[]} from arguments to strip argument(s) from, e.g: `process.argv`
 * @param {string[]} argument array of argument aliases, e.g: `['--foo-bar', '--fooBar']
 * @param {number} length number arguments to strip, i.e: `--arg value` = 2
 */
export function stripArgument(from: any[], argument: string[], length?: number): any[];
export function uniq(arr: Iterable<any> | null): any[];
/**
 * @param {string} name
 * @param {{[key: string]: string}} options
 * @param {boolean} [clean=true]
 */
export function writeExtraEntry(name: string, { cjs, esm }: {
    [key: string]: string;
}, clean?: boolean | undefined): void;
//# sourceMappingURL=utils.d.ts.map